import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * The ground is used for collision detection so that Kirby knows when it's ok
 * to jump and where to land.
 * 
 * @Jasmine Xiong 
 * @May 27, 2019
 */
public class Ground extends Actor
{
    public Ground(){
        //resizing
        GreenfootImage image = getImage();
        image.scale(image.getWidth()-200, image.getHeight()-150);
        setImage(image);
    }
}
