import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * A score that increases every act and represents Kirby's distance.
 * Once the score has reached a certain number, level changes or boss battle.
 * This score is specifically for level 2.
 * 
 * @Jasmine Xiong 
 * @June 11, 2019
 */
public class Score2 extends Actor
{
    int score = 0;
    public void act() 
    {
        setImage(new GreenfootImage("Score: " + score, 18, null, null));
        score++;
        changeLevel();
    }    
    
    // if the score is 500, move on to the next level
    public void changeLevel(){
        if(score == 500){
            Greenfoot.setWorld(new Level3());
        }
    } 
}
