import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * This world is shown when the player succeeds in killing the final boss.
 * 
 * @Jasmine Xiong
 * @May 30, 2019
 */
public class EndScreen extends World
{

    /**
     * Constructor for objects of class EndScreen.
     * 
     */
    public EndScreen()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(600, 400, 1); 
        GreenfootImage image = new GreenfootImage("kirbsuccess.jpg");
        image.scale(image.getWidth()-1100, image.getHeight()-560);
        setBackground(image);
    }
    
    public void act(){
        //sets world back to the instruction page
        if(Greenfoot.isKeyDown("R")){
            Greenfoot.setWorld(new Instructions());
        }
    }
}
