import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Screen for failed game.
 * Player can press R to return to the instructions screen and replay.
 * 
 * @Jasmine Xiong
 * @June 12, 2019
 */
public class GameOver extends World
{
    
    public GameOver()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(600, 400, 1); 
        GreenfootImage image = new GreenfootImage("gameover.png");
        image.scale(image.getWidth()-30, image.getHeight()+45);
        setBackground(image);
    }
    
    public void act(){
        if(Greenfoot.isKeyDown("R")){
            Greenfoot.setWorld(new Instructions());
        }
    }
}
