import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Final stage of Kirby Run with boss battle.
 * 
 * @Jasmine Xiong
 * @June 4, 2019
 */
public class Level3 extends World
{
    public Level3()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(600, 400, 1); 
        GreenfootImage image = new GreenfootImage("level3.png");
        image.scale(image.getWidth()+170, image.getHeight()+100);
        setBackground(image);
        
        Ground g = new Ground();
        addObject(g, 300, 370);
        Kirby k = new Kirby();
        addObject(k, 100, 310);
        
        // adds boss to the world
        addObject(new Boss(), 460, 300);
    }
}
