import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Title screen of Kirby Run.
 * 
 * @Jasmine Xiong
 * @June 3, 2019
 */
public class TitleScreen extends World
{
    private GreenfootSound music = new GreenfootSound("themesong.mp3");
    public TitleScreen()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(600, 400, 1);
        Greenfoot.start();
        
        GreenfootImage image = new GreenfootImage("woohoo.jpg");
        image.scale(image.getWidth()-90, image.getHeight()-25);
        setBackground(image);
        
    }
    
    public void act(){
        music();
        
        if(Greenfoot.isKeyDown("space")){
            Greenfoot.setWorld(new Instructions());
        }
    }
    
    public void music(){
        // plays background music
        music.play();
        music.playLoop();
        music.setVolume(30);
    }
}
